List available GPUs
Browse available GPUs with filtering options.
curl -X GET "https://api.gpuniq.com/v1/marketplace/list?gpu_model=example_string&min_vram_gb=42&max_vram_gb=42&min_price_per_hour=29.99&max_price_per_hour=29.99&location=example_string&verified=true&gpu_count=10&page=25&page_size=25" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
import requests
import json
url = "https://api.gpuniq.com/v1/marketplace/list?gpu_model=example_string&min_vram_gb=42&max_vram_gb=42&min_price_per_hour=29.99&max_price_per_hour=29.99&location=example_string&verified=true&gpu_count=10&page=25&page_size=25"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.gpuniq.com/v1/marketplace/list?gpu_model=example_string&min_vram_gb=42&max_vram_gb=42&min_price_per_hour=29.99&max_price_per_hour=29.99&location=example_string&verified=true&gpu_count=10&page=25&page_size=25", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.gpuniq.com/v1/marketplace/list?gpu_model=example_string&min_vram_gb=42&max_vram_gb=42&min_price_per_hour=29.99&max_price_per_hour=29.99&location=example_string&verified=true&gpu_count=10&page=25&page_size=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.gpuniq.com/v1/marketplace/list?gpu_model=example_string&min_vram_gb=42&max_vram_gb=42&min_price_per_hour=29.99&max_price_per_hour=29.99&location=example_string&verified=true&gpu_count=10&page=25&page_size=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
response = http.request(request)
puts response.body
{
"data": {
"items": [
{
"id": 123,
"hostname": "John Doe",
"location": "example_string",
"status": "online",
"gpu_model": "example_string",
"gpu_count": 10,
"vram_gb": 42,
"total_ram_gb": 42,
"price_per_hour": 29.99,
"price_per_day": 29.99,
"price_per_week": 29.99,
"price_per_month": 29.99,
"verified": true,
"reliability": 3.14
}
],
"total": 42,
"page": 25,
"page_size": 25
}
}
/v1/marketplace/list
Target server for requests. Edit to use your own host.
Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically
Filter by GPU model (e.g., "RTX 4090", "A100")
Minimum VRAM in GB
Maximum VRAM in GB
Minimum price per hour in USD
Maximum price per hour in USD
Geographic location filter
Show only verified providers
Minimum GPU count
Page number
Items per page
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). Authentication token required.
Query Parameters
Filter by GPU model (e.g., "RTX 4090", "A100")
Minimum VRAM in GB
Maximum VRAM in GB
Minimum price per hour in USD
Maximum price per hour in USD
Geographic location filter
Show only verified providers
Minimum GPU count
Page number
Items per page
Responses
onlineofflinebusy